/*
    GNOME Commander - A GNOME based file manager 
    Copyright (C) 2001-2002 Marcus Bjurman

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/ 


#include <gdk/gdk.h>
#include <gdk_imlib.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gtk/gtk.h>
#include <gnome.h>
#include <libgnomevfs/gnome-vfs.h>
#include <libgnomevfs/gnome-vfs-mime-handlers.h>
#include <libgnome/gnome-i18n.h>

#ifdef HAVE_LIBFAM
#include <fam.h>
#endif

//#include "cvs-session.h"
#include "gnome-cmd-main-win-types.h"
#include "gnome-cmd-file-selector-types.h"
#include "gnome-cmd-dir-types.h"
#include "gnome-cmd-file-types.h"
#include "gnome-cmd-style.h"

#include "gnome-cmd-fam.h"
#include "dir_pool.h"
#include "support.h"
#include "imageloader.h"
#include "gnome-cmd-types.h"
#include "utils.h"
#include "owner.h"
#include "useractions.h"
#include "cap.h"

#include "gnome-cmd-connection-types.h"
#include "gnome-cmd-file-funcs.h"
#include "gnome-cmd-dir-funcs.h"
#include "gnome-cmd-connection-funcs.h"
#include "gnome-cmd-file-popmenu.h"

#include "gnome-cmd-combo.h"
#include "gnome-cmd-string-dialog.h"
#include "gnome-cmd-mkdir-dialog.h"
#include "gnome-cmd-run-dialog.h"
#include "gnome-cmd-options-dialog.h"
#include "gnome-cmd-delete-dialog.h"
#include "gnome-cmd-search-dialog.h"
#include "gnome-cmd-search-popup.h"
#include "gnome-cmd-chmod-dialog.h"
#include "gnome-cmd-chown-dialog.h"

#include "gnome-cmd-xfer.h"
#include "gnome-cmd-xfer-progress-win.h"
#include "gnome-cmd-prepare-copy-dialog.h"
#include "gnome-cmd-prepare-move-dialog.h"
#include "gnome-cmd-prepare-xfer-dialog.h"

#include "gnome-cmd-file-props-dialog.h"
#include "gnome-cmd-file-selector-funcs.h"
#include "gnome-cmd-file-selector-dnd.h"

#include "gnome-cmd-ftp-server.h"
#include "gnome-cmd-ftp-dialog.h"
#include "gnome-cmd-ftp-server-dialog.h"
/*
#include "gnome-cmd-cvs-dialog.h"
#include "gnome-cmd-cvs-server.h"
#include "gnome-cmd-cvs-update-dialog.h"
#include "gnome-cmd-cvs-commit-dialog.h"
#include "gnome-cmd-cvs-import-dialog.h"
#include "gnome-cmd-cvs-server-dialog.h"
#include "gnome-cmd-cvs-checkout-dialog.h"
#include "gnome-cmd-cvs-log-dialog.h"
#include "gnome-cmd-cvs-password-dialog.h"
*/
#include "gnome-cmd-main-win-funcs.h"
#include "gnome-cmd-zvt-term.h"
#include "gnome-cmd-data.h"

extern GnomeCmdMainWin *main_win;
